Bug 225522 - [NEW PORT] x11-fonts/py-QtAwesome: Iconic fonts in PyQt and PySide applications
Summary: [NEW PORT] x11-fonts/py-QtAwesome: Iconic fonts in PyQt and PySide applications
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://github.com/spyder-ide/qtawesome
Keywords: easy, patch-ready
Depends on:
Blocks: 225731
  Show dependency treegraph
 
Reported: 2018-01-29 05:50 UTC by Loïc Bartoletti
Modified: 2018-02-11 00:10 UTC (History)
1 user (show)

See Also:
lbartoletti: maintainer-feedback+


Attachments
py-qtawesome (1.79 KB, text/plain)
2018-01-29 05:50 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details
Updated shar (1.83 KB, text/plain)
2018-02-10 23:51 UTC, Yuri Victorovich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti 2018-01-29 05:50:14 UTC
Created attachment 190147 [details]
py-qtawesome

QtAwesome enables iconic fonts such as Font Awesome and Elusive Icons in PyQt 
and PySide applications.

It started as a Python port of the QtAwesome C++ library by Rick Blommers.

WWW: https://pypi.python.org/pypi/qtawesome

---
This ports will be needed by devel/spyder 3

poudriere 10, 11 i386/amd64 OK
porlint -Nabt OK
Comment 1 Yuri Victorovich freebsd_committer 2018-02-10 23:51:58 UTC
Created attachment 190497 [details]
Updated shar
Comment 2 Yuri Victorovich freebsd_committer 2018-02-11 00:09:51 UTC
Committed with some changes.
Thank you for your submission!
Comment 3 commit-hook freebsd_committer 2018-02-11 00:10:18 UTC
A commit references this bug:

Author: yuri
Date: Sun Feb 11 00:09:43 UTC 2018
New revision: 461453
URL: https://svnweb.freebsd.org/changeset/ports/461453

Log:
  New port: x11-fonts/py-QtAwesome: Iconic fonts in PyQt and PySide applications

  PR:		225522
  Submitted by:	lbartoletti@tuxfamily.org
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D14311

Changes:
  head/x11-fonts/Makefile
  head/x11-fonts/py-QtAwesome/
  head/x11-fonts/py-QtAwesome/Makefile
  head/x11-fonts/py-QtAwesome/distinfo
  head/x11-fonts/py-QtAwesome/pkg-descr